Bug 114944 - [BlackBerry] Crash due to an assert running test editing/execCommand/indent-paragraphs.html
Summary: [BlackBerry] Crash due to an assert running test editing/execCommand/indent-p...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 116101
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-22 02:27 PDT by Carlos Garcia Campos
Modified: 2013-05-16 17:30 PDT (History)
2 users (show)

See Also:


Attachments
Patch (3.49 KB, patch)
2013-04-22 02:33 PDT, Carlos Garcia Campos
rwlbuis: review-
Details | Formatted Diff | Diff
Updated patch (2.53 KB, patch)
2013-05-14 05:49 PDT, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2013-04-22 02:27:57 PDT
It crashes in network platform code when  trying to save an invalid URL in the disk cache.  The test contains the following HTML code:

<div id="test">
    <div><span class="Apple-style-span" style="background-color: rgb(255, 0, 0);">Hello <img src="http://"> world</span></div>
    <div>Hello <img src="http://"> world</span></div>
    Hello <img src="http://"> world
</div>

Those empty URLs, are parsed as http:/ by KURL and considered valid. BlockBerry network platform uses GURL which considers those URLs invalid. We needed to check that the URLs are valid for our platform before starting the network operation.
Comment 1 Carlos Garcia Campos 2013-04-22 02:33:49 PDT
Created attachment 199009 [details]
Patch
Comment 2 Rob Buis 2013-05-13 08:54:57 PDT
Comment on attachment 199009 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=199009&action=review

Looks great, but the new early exit needs to be verified and at least an error/log has to be there.

> Source/WebCore/platform/network/blackberry/ResourceHandleBlackBerry.cpp:160
> +    if (!NetworkManager::instance()->startJob(playerId, handle, frame, defersLoading))

It would be nice to set the error param here.
Comment 3 Carlos Garcia Campos 2013-05-14 05:49:55 PDT
Created attachment 201706 [details]
Updated patch

Updated to return a StatusErrorInvalidUrl error. It depends on bug #116101.
Comment 4 Rob Buis 2013-05-14 08:56:46 PDT
Comment on attachment 201706 [details]
Updated patch

Looks good.
Comment 5 WebKit Commit Bot 2013-05-16 17:30:23 PDT
Comment on attachment 201706 [details]
Updated patch

Clearing flags on attachment: 201706

Committed r150224: <http://trac.webkit.org/changeset/150224>
Comment 6 WebKit Commit Bot 2013-05-16 17:30:25 PDT
All reviewed patches have been landed.  Closing bug.